Skip to main content
GET
/
audits
/
{auditId}
/
evidence
TypeScript
import { Vanta } from "vanta-auditor-api-sdk";

const vanta = new Vanta({
  bearerAuth: process.env["VANTA_BEARER_AUTH"] ?? "",
});

async function run() {
  const result = await vanta.audits.listEvidence({
    auditId: "<id>",
  });

  console.log(result);
}

run();
{
  "results": {
    "data": [
      {
        "id": "65fc81a3359c8508c9af880f",
        "externalId": "cG9saWN5OmFjY2Vzcy1jb250cm9sLXBvbGljeQo=",
        "status": "Ready for audit",
        "statusUpdatedDate": "2024-03-07T21:25:56.000Z",
        "name": "Access Control Policy",
        "deletionDate": "2024-03-07T21:25:56.000Z",
        "creationDate": "2024-03-07T21:25:56.000Z",
        "testStatus": "The test was passing during this period",
        "evidenceType": "Policy",
        "evidenceId": "access-control-policy",
        "relatedControls": [
          {
            "name": "CRY-104",
            "sectionNames": [
              "Article 13"
            ]
          }
        ],
        "description": "example description of test"
      }
    ],
    "pageInfo": {
      "hasNextPage": false,
      "hasPreviousPage": false,
      "startCursor": "YXJyYXljb25uZWN0aW9uOjA=",
      "endCursor": "YXJyYXljb25uZWN0aW9uOjE="
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://vanta.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

auditId
string
required

Query Parameters

pageSize
integer<int32>
default:10

Controls the maximum number of items returned in one response from the API.

Required range: 1 <= x <= 100
pageCursor
string

A marker or pointer, telling the API where to start fetching items for the subsequent page in a paginated dataset. Note that the requested page will not include the item that corresponds to this cursor but will start from the one immediately after this cursor.

changedSinceDate
string<date-time>

Includes all audit evidence that have changed since changedSinceDate.

Response

200 - application/json

Ok

results
object
required